| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiSeisBayesClass Class Reference
uiSeis

'Server' for Seismic Bayesian Inversion. More...

`#include <uiseisbayesclass.h>`

Inheritance diagram for uiSeisBayesClass:
[legend]

## Public Member Functions
| uiSeisBayesClass (uiParent *, bool is2d)
| ~uiSeisBayesClass ()
void | raiseCurrent () override
Public Member Functions inherited from uiVarWizard
virtual | ~uiVarWizard ()
IOPar & | pars ()
const IOPar & | pars () const
int | state () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | closeDown () override
void | doOutput ()
void | doPart () override
| default -1 meaning: close down
void | getInpPDFs ()
void | getInpSeis ()
void | getNorm ()
void | inpPDFsGot (CallBacker *)
void | inpSeisGot (CallBacker *)
void | normGot (CallBacker *)
void | outputDone (CallBacker *)
Protected Member Functions inherited from uiVarWizard
| uiVarWizard (uiParent *)
void | nextAction ()
| Call in constructor of subclass.

## Protected Attributes
uiSeisBayesPDFInp * | inppdfdlg_ = nullptr
uiSeisBayesSeisInp * | inpseisdlg_ = nullptr
bool | is2d_
uiSeisBayesNorm * | normdlg_ = nullptr
uiSeisBayesOut * | outdlg_ = nullptr
Protected Attributes inherited from uiVarWizard
int | afterfinishedstate_
uiParent * | parent_
IOPar | pars_
int | state_

## Additional Inherited Members
Static Public Member Functions inherited from uiVarWizard
static int | cCancelled ()
static int | cFinished ()
static int | cWait4Dialog ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiVarWizard
Notifier< uiVarWizard > | processEnded
Static Protected Member Functions inherited from uiVarWizard
static bool | mustLeave (uiVarWizardDlg *)

## Detailed Description

'Server' for Seismic Bayesian Inversion.

<>

## Constructor & Destructor Documentation

## ◆ uiSeisBayesClass()

uiSeisBayesClass::uiSeisBayesClass | ( | uiParent * | ,
|  | bool | is2d )

## ◆ ~uiSeisBayesClass()

uiSeisBayesClass::~uiSeisBayesClass | ( |  | ) |

## Member Function Documentation

## ◆ closeDown()

void uiSeisBayesClass::closeDown | ( |  | ) |
| override protected virtual

Reimplemented from uiVarWizard.

## ◆ doOutput()

void uiSeisBayesClass::doOutput | ( |  | ) |
| protected

## ◆ doPart()

void uiSeisBayesClass::doPart | ( |  | ) |
| override protected virtual

default -1 meaning: close down

Implements uiVarWizard.

## ◆ getInpPDFs()

void uiSeisBayesClass::getInpPDFs | ( |  | ) |
| protected

## ◆ getInpSeis()

void uiSeisBayesClass::getInpSeis | ( |  | ) |
| protected

## ◆ getNorm()

void uiSeisBayesClass::getNorm | ( |  | ) |
| protected

## ◆ inpPDFsGot()

void uiSeisBayesClass::inpPDFsGot | ( | CallBacker * |  | ) |
| protected

## ◆ inpSeisGot()

void uiSeisBayesClass::inpSeisGot | ( | CallBacker * |  | ) |
| protected

## ◆ normGot()

void uiSeisBayesClass::normGot | ( | CallBacker * |  | ) |
| protected

## ◆ outputDone()

void uiSeisBayesClass::outputDone | ( | CallBacker * |  | ) |
| protected

## ◆ raiseCurrent()

void uiSeisBayesClass::raiseCurrent | ( |  | ) |
| override virtual

Implements uiVarWizard.

## Member Data Documentation

## ◆ inppdfdlg_

uiSeisBayesPDFInp* uiSeisBayesClass::inppdfdlg_ = nullptr
| protected

## ◆ inpseisdlg_

uiSeisBayesSeisInp* uiSeisBayesClass::inpseisdlg_ = nullptr
| protected

## ◆ is2d_

bool uiSeisBayesClass::is2d_
| protected

## ◆ normdlg_

uiSeisBayesNorm* uiSeisBayesClass::normdlg_ = nullptr
| protected

## ◆ outdlg_

uiSeisBayesOut* uiSeisBayesClass::outdlg_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025